> ## Documentation Index
> Fetch the complete documentation index at: https://docs.orkeia.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Squad Version

> Returns the snapshot of a specific version of the squad.

## Endpoint

`GET https://gateway.orkeia.ai/squads/{id}/version-control/{versionId}`

**Authentication**\
Requires header `authorization:  <your_token>`.

## Path Parameters

| Name      | Type   | Required | Description                              | Example     |
| --------- | ------ | -------- | ---------------------------------------- | ----------- |
| id        | string | Yes      | Unique identifier of the squad.          | SQUAD\_1234 |
| versionId | string | Yes      | Identifier/slug of the snapshot version. | v1.0.1      |

## Example (cURL)

```bash theme={null}
curl -X GET "https://gateway.orkeia.ai/squads/SQUAD_1234/version-control/v1.0.1" -H "authorization:  <your_token>"
```

## Responses

### Response - Success

```json response theme={null}
{
  "status": "OK",
  "data": {
    "id": "SQUAD_1234",
    "snapshot": {
      "name": "Equipe Alpha",
      "tasks": [
        {
          "id": "TASK_INGEST",
          "agent": "AGENT_INGEST",
          "name": "Data Ingestion",
          "objective": "Collect and normalize data from external source",
          "dependsOn": [],
          "coordinates": { "x": 80, "y": 40, "width": 320, "height": 160 }
        }
      ],
      "order": "sequential",
      "enabled": true,
      "do_plan": false,
      "sectors": ["engineering"],
      "publisher": "Orkeia",
      "planningAgent": { "id": "AGENT_PLANNER" },
      "supervisor": { "id": "AGENT_SUPERVISOR" }
    },
    "versionId": "v1.0.1",
    "createdAt": "2024-07-10T09:30:00Z"
  }
}
```

### 500 — Server Error

```json theme={null}
{
  "status": "ERROR",
  "code": "server/error",
  "data": null
}
```

### 400 — Client Error

```json theme={null}
{
  "status": "ERROR",
  "code": "client/error",
  "data": null
}
```
